Bug 590180 - Add product, version, and component to the set of fields sent as part of strata case creation
Add product, version, and component to the set of fields sent as part of stra...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gavin Romig-Koch
David Kutálek
:
Depends On:
Blocks: 590181
  Show dependency treegraph
 
Reported: 2010-05-07 18:52 EDT by Gavin Romig-Koch
Modified: 2010-11-10 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version: report-0.18-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 590181 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:29:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Romig-Koch 2010-05-07 18:52:05 EDT
<product>

   This is an optional element for case creation.  If sent as part of a
   case creation POST, it should consist of the standard name of a
   valid Red Hat product.  For the time being, the Report libraries'
   strata client always sends this element, and it always contains the
   text string "Red Hat Enterprise Linux".

<version>

   This is an optional element for case creation.  If sent as part of a
   case creation POST, the product element should also be sent, and the
   version element should consist of the standard name of a valid Red
   Hat version for that product.  For the time being, the Report
   libraries' strata client always sends this element, and it always
   contains the text string "6.0".

<component>

   This is an optional element for case creation.  If sent as part of a
   case creation POST, the product and version components should also
   be sent, and the component should consist of the standard name of a
   valid Red Hat component for that product and version.  For the time
   being, the Report libraries' strata client includes this field if
   and only if the application using the library provided a component
   when it called the report library.  Sealert, python-meh, and abrt
   all send it.  The report command line send it unless it is simply
   forwarding an existing report that contained it.
Comment 1 Gavin Romig-Koch 2010-05-07 18:54:24 EDT
Pushed Upstream.
Comment 3 RHEL Product and Program Management 2010-05-07 20:28:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 11 David Kutálek 2010-08-25 17:03:54 EDT
Bug # 625109 is verified now.
Moving this to VERIFIED too.
Comment 12 releng-rhel@redhat.com 2010-11-10 16:29:12 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.